cutlass::gemm::IgemmInt8ToFloatConverter< kElements_ > Struct Template Reference

`#include <igemm_epilogue.h>`

## Public Types

typedef Fragment< int8_t, kElements_ > | InputFragment
| The input fragment. More...
typedef Fragment< float, kElements_ > | OutputFragment
| The output fragment. More...

## Public Member Functions

CUTLASS_DEVICE | IgemmInt8ToFloatConverter ()
| Ctor. More...
CUTLASS_DEVICE void | transform (InputFragment const &src, OutputFragment &dst)
| Transform a fragment. More...
template<typename Fragment_ >
CUTLASS_DEVICE void | transform (Fragment_ const &src, int offset, OutputFragment &dst)
| Transform a fragment. More...

## Member Typedef Documentation

## InputFragment

template<int kElements_>

typedef Fragment<int8_t, kElements_> cutlass::gemm::IgemmInt8ToFloatConverter< kElements_ >::InputFragment

## OutputFragment

template<int kElements_>

typedef Fragment<float, kElements_> cutlass::gemm::IgemmInt8ToFloatConverter< kElements_ >::OutputFragment

## Constructor & Destructor Documentation

## IgemmInt8ToFloatConverter()

template<int kElements_>

CUTLASS_DEVICE cutlass::gemm::IgemmInt8ToFloatConverter< kElements_ >::IgemmInt8ToFloatConverter | ( |  | ) |

inline

## Member Function Documentation

## transform() [1/2]

template<int kElements_>

CUTLASS_DEVICE void cutlass::gemm::IgemmInt8ToFloatConverter< kElements_ >::transform | ( | InputFragment const & | src,
|  | OutputFragment & | dst
| ) |  |

inline

## transform() [2/2]

template<int kElements_>
template<typename Fragment_ >

CUTLASS_DEVICE void cutlass::gemm::IgemmInt8ToFloatConverter< kElements_ >::transform | ( | Fragment_ const & | src,
|  | int | offset,
|  | OutputFragment & | dst
| ) |  |

inline

The documentation for this struct was generated from the following file:

- igemm_epilogue.h